<script>
import { GlButton, GlDropdown, GlDropdownItem } from "@gitlab/ui"

export default {
    props: {
        options: Array,
        project: String,
        gitRef: String,
        newStatus: String, 
    },
    components: {
        GlButton,
        GlDropdown,
        GlDropdownItem,
    },
    data() {
        return {
            selected: "Select an IDE"
        }
    },
    computed: {
        createLink() {
            let ideIndex = 0;
            this.options.forEach((opt, i) => {
                if (opt.Name == this.selected) {
                    ideIndex = i
                }
            });
            return `/?project=${this.project}&ref=${this.gitRef}&ide=${ideIndex}${this.newStatus ? '&new=' + this.newStatus : ''}`
        }
    },
    methods: {
        setSelected(option) {
            this.selected = option.Name
        }
    }
}
</script>

<template>
  <div>
    <p>There are multiple IDEs that can be configured for this project.</p>
    <p>Could you please select one?</p>
    <div class="baseline container mx-auto">
        <div class="mt-5">
            <gl-dropdown title="Select IDE" :text="selected">
                <gl-dropdown-item v-on:click="setSelected(option)" v-for="option in options" :key="option.Name">{{ option.Name }}</gl-dropdown-item>
            </gl-dropdown>
        </div>
        <div class="flex m-10">
            <div class="flex-1 shrink">
                <gl-button 
                    :disabled="selected == 'Select an IDE'" 
                    category="secondary" 
                    variant="confirm"
                    :href="createLink">Create</gl-button>
            </div>
        </div>
    </div>
  </div>
</template>

<style scoped>
</style>
